Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field Class Reference

Base class for Field criterion visitors. More...

Inheritance diagram for eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field:

## Public Member Functions
| __construct (FieldNameResolver $fieldNameResolver)
| Create from FieldNameResolver. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor
| canVisit (Criterion $criterion)
| Check if visitor is applicable to current criterion. More...
| visitFilter (Criterion $criterion, CriterionVisitorDispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch filter representation. More...
| visitQuery (Criterion $criterion, CriterionVisitorDispatcher $dispatcher, array $languageFilter)
| Map field value to a proper Elasticsearch query representation. More...

## Protected Member Functions
| getFieldNames (Criterion $criterion, $fieldDefinitionIdentifier, $fieldTypeIdentifier=null, $name=null)
| Get field names. More...
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\FieldFilterBase
| getFieldFilter (array $languageFilter)
| Returns filter condition for the given $languageFilter. More...
| getTodoFieldFilter (array $languageFilter)
| TODO: should really work something like this, but also needs update to the UrlAliasService etc. More...
Protected Member Functions inherited from eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor
| getQueryRange ($operator, $start, $end)
| Get Elasticsearch range query. More...
| getFilterRange ($operator, $start, $end)
| Get Elasticsearch range filter. More...
| prepareValue ($value)
| Converts given $value to the appropriate Elasticsearch representation. More...

## Protected Attributes
| $fieldNameResolver

## Detailed Description

Base class for Field criterion visitors.

Definition at line 15 of file Core/Search/Elasticsearch/Content/CriterionVisitor/Field.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field::__construct | ( | FieldNameResolver | $fieldNameResolver | ) |

Create from FieldNameResolver.

Parameters

  \eZ\Publish\Core\Search\Common\FieldNameResolver | $fieldNameResolver |

Definition at line 29 of file Core/Search/Elasticsearch/Content/CriterionVisitor/Field.php.

References eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\$fieldNameResolver.

## Member Function Documentation

## ◆ getFieldNames()

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field::getFieldNames | ( | Criterion | $criterion,
|  |  | $fieldDefinitionIdentifier,
|  |  | $fieldTypeIdentifier = `null`,
|  |  | $name = `null`
| ) |  |
| protected

Get field names.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Query\Criterion | $criterion |
  string | $fieldDefinitionIdentifier |
  string | $fieldTypeIdentifier |
  string | $name |

Returns
  array

Definition at line 44 of file Core/Search/Elasticsearch/Content/CriterionVisitor/Field.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\FieldIn\getCondition(), and eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\FieldRange\getCondition().

## Member Data Documentation

## ◆ $fieldNameResolver

eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field::$fieldNameResolver
| protected

Definition at line 22 of file Core/Search/Elasticsearch/Content/CriterionVisitor/Field.php.

Referenced by eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\__construct(), and eZ\Publish\Core\Search\Elasticsearch\Content\CriterionVisitor\Field\MapLocationDistanceRange\__construct().

The documentation for this class was generated from the following file:

- Core/Search/Elasticsearch/Content/CriterionVisitor/Field.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.